wma lossless

February 05, 2017 02:41 - Doug McMahon

Status: Rejected Start date: February 05, 2017

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category: plugins/ffaudio Estimated time: 0.00 hour

Target version:    

Affects version: 3.8.2   

Description

playback quality is terrible in 3.8.2 (using 3.8.2-1~webupd8~xenial0

Sample file - http://samples.mplayerhq.hu/A-codecs/lossless/luckynight.wma

From terminal,

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/ffaudio.so.

INFO probe-buffer.cc:31 [ProbeBuffer]: <0x7ff55003a8b0> buffering enabled for file:///home/doug/Music/luckynight.wma

INFO vfs.cc:111 [VFSFile]: <0x7ff55003a8b0> open (mode r) file:///home/doug/Music/luckynight.wma

INFO probe-buffer.cc:54 [release_buffer]: <0x7ff55003a8b0> buffering disabled for file:///home/doug/Music/luckynight.wma

INFO probe-buffer.cc:138 [fseek]: <0x7ff55003a8b0> buffering enabled for file:///home/doug/Music/luckynight.wma

INFO probe-buffer.cc:54 [release_buffer]: <0x7ff55003a8b0> buffering disabled for file:///home/doug/Music/luckynight.wma

INFO probe-buffer.cc:138 [fseek]: <0x7ff55003a8b0> buffering enabled for file:///home/doug/Music/luckynight.wma

INFO probe-buffer.cc:54 [release_buffer]: <0x7ff55003a8b0> buffering disabled for file:///home/doug/Music/luckynight.wma

INFO audtag.cc:35 [read_tag]: read_tag() not supported for file:///home/doug/Music/luckynight.wma

INFO probe-buffer.cc:138 [fseek]: <0x7ff55003a8b0> buffering enabled for file:///home/doug/Music/luckynight.wma

INFO output.cc:175 [setup_output]: Setup output, format 0, 2 channels, 44100 Hz.

INFO output.cc:462 [output_set_replay_gain]: Replay Gain info:

INFO output.cc:463 [output_set_replay_gain]:  album gain: 0.000000 dB

INFO output.cc:464 [output_set_replay_gain]:  album peak: 0.000000

INFO output.cc:465 [output_set_replay_gain]:  track gain: 0.000000 dB

INFO output.cc:466 [output_set_replay_gain]:  track peak: 0.000000

ERROR ffaudio-core.cc:186 [wmalossless]: <0x7ff5500a7140> Found empty subframe

ERROR ffaudio-core.cc:215 [log_result]: avcodec_decode_audio4 failed: Invalid data found when processing input

ERROR ffaudio-core.cc:186 [wmalossless]: <0x7ff5500a7140> broken frame: channel len(3200) > samples_per_frame(2048)

ERROR ffaudio-core.cc:215 [log_result]: avcodec_decode_audio4 failed: Invalid data found when processing input

ERROR ffaudio-core.cc:186 [wmalossless]: <0x7ff5500a7140> broken frame: channel len(2304) > samples_per_frame(2048)

ERROR ffaudio-core.cc:215 [log_result]: avcodec_decode_audio4 failed: Invalid data found when processing input

ERROR ffaudio-core.cc:186 [wmalossless]: <0x7ff5500a7140> Packet loss detected! seq 9 vs b

ERROR ffaudio-core.cc:186 [wmalossless]: <0x7ff5500a7140> Packet loss detected! seq c vs e

ERROR ffaudio-core.cc:186 [wmalossless]: <0x7ff5500a7140> Found empty subframe

ect..

History

#1 - February 05, 2017 05:42 - John Lindgren

Sounds fine here.  What version of FFmpeg are you using?

#2 - February 06, 2017 20:41 - Doug McMahon

Thought I sent an email response but don't see it so -

16.04 (xenial) uses ffmpeg 2.8.10

~$ ldd  /usr/lib/x86_64-linux-gnu/audacious/Input/ffaudio.so

linux-vdso.so.1 =>  (0x00007fff7ed31000)

libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f8ea2774000)

libaudcore.so.4 => /usr/lib/x86_64-linux-gnu/libaudcore.so.4 (0x00007f8ea2529000)

libavcodec-ffmpeg.so.56 => /usr/lib/x86_64-linux-gnu/libavcodec-ffmpeg.so.56 (0x00007f8ea10fc000)

libavformat-ffmpeg.so.56 => /usr/lib/x86_64-linux-gnu/libavformat-ffmpeg.so.56 (0x00007f8ea0cfe000)

libavutil-ffmpeg.so.54 => /usr/lib/x86_64-linux-gnu/libavutil-ffmpeg.so.54 (0x00007f8ea0a8f000)
If I was to rebuild against ffmpeg 3.2.x then playback is fine

#3 - February 07, 2017 00:12 - John Lindgren

So it does work with FFmpeg 3.2.x?  If so then that's an FFmpeg bug, nothing on the Audacious side.

#4 - February 08, 2017 21:24 - Artem S. Tashkinov

Most likely this bug is invalid because the provided log clearly shows that the WMA file in question contains errors.

#5 - February 09, 2017 01:31 - Doug McMahon

The sample file plays fine in all players except audacious 3.8.x & has for years.

As far as audacious -

It plays fine when using ffmpeg-3.2.x

It plays fine in audacious 3.6.x with ffmpeg 2.8.x

So the issue, however minor, is with audacious 3.8.x & ffmpeg 2.8.x, not the file itself.

#6 - February 11, 2017 18:45 - John Lindgren

- Status changed from New to Rejected

If it works with FFmpeg 3.2.x, then just update and be done with it.  It's not worth your time or mine to try and figure out why the older version causes

trouble.
